Skip to main content
Recent Posts
52
Bug Reports / Re: Php7.4 compatibality
Last post by ahrasis -
The last time I read, I was convinced that ElkArte works on php8.0, at least with minimal bugs.
I am saddened to report that, unfortunately, you cannot install ElkArte using PHP 8.0.2. I attempted to test this out on my localhost. I can make it as far as entering my database name, username, and password. Upon hitting submit, I am directed to install.php?step=3 with a white page.
Must be the installer script because on my already installed elkarte, it is working fine.

There is an option to like a post but I am not sure what is the minimum post requirement for it. You'll definitely see it after some times.
53
Bug Reports / Re: Php7.4 compatibality
Last post by ElkArte-Is-Awesome -
I've been neglect in reviewing the install program. Thus far, my testing has only been to update PHP versions on an existing install, not yet to install fresh.  So much to do, so much to do
If I had the option to like your post, I would.  In the meantime, please take this reply as my heart-felt gratitude for knowing that you will get to it in due time.  I look forward to your ongoing progress.
54
Bug Reports / Re: Incorrect notification
Last post by forumovod -
Have to look a bit, but its must be using who last saved the message and not who originally wrote the message.  Hope that is an easy fix, that notification is tied into the post function which certainly returned who hit save, not sure it has the original at that point or if another db query would be needed.
 

The problem is that the notification is sent to the author of the quoted post, but not to the author of the post in which the admin corrected the quote.

X
55
Bug Reports / Re: Php7.4 compatibality
Last post by Spuds -
I've been neglect in reviewing the install program, my testing thus far has only been to update PHP versions on an existing install, not yet to install fresh.  So much to do, so much to do
57
Bug Reports / Re: Php7.4 compatibality
Last post by ElkArte-Is-Awesome -
Code: [Select]
[Sat Feb 20 14:27:20.568170 2021] [proxy_fcgi:error] [pid 78754:tid 140654970779200] [client 127.0.0.1:57966] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: mysqli_result object is already closed in /srv/http/Ekd/sources/ElkArte/Database/Mysqli/Result.php:55\nStack trace:\n#0 /srv/http/Ekd/sources/ElkArte/Database/Mysqli/Result.php(55): mysqli_free_result()\n#1 /srv/http/Ekd/sources/ElkArte/Database/AbstractResult.php(58): ElkArte\\Database\\Mysqli\\Result->free_result()\n#2 /srv/http/Ekd/sources/ElkArte/Database/Mysqli/Query.php(167): ElkArte\\Database\\AbstractResult->__destruct()\n#3 /srv/http/Ekd/sources/ElkArte/Database/AbstractQuery.php(656): ElkArte\\Database\\Mysqli\\Query->executeQuery()\n#4 /srv/http/Ekd/install/Install_Controller.php(614): ElkArte\\Database\\AbstractQuery->query()\n#5 /srv/http/Ekd/install/Install_Controller.php(56): Install_Controller->action_databaseSettings()\n#6 /srv/http/Ekd/install/install.php(43): Install_Controller->dispatch()\n#7 {main}\n  thrown in /srv/http/Ekd/sources/ElkArte/Database/Mysqli/Result.php on line 55', referer: http://localhost/Ekd/install/install.php?step=0
This is what I pulled from my httpd logs.  I have tried using both Elkarte 1.1.6 and the developer branch from Github.
58
Localization / Re: langpacks not anymore update on transifex since 2020 december 27 18:23 ?
Last post by Spuds -
I'm not really that knowledgeable about transifex, but looking it appears you updated the language string for ElkArte not ElkArte1.1 which is shown as a separate project.   Almost all of the strings were the same so your effort was not in vain, you just need to submit them to the other project.   I do see you changes, and thank you!

The server is, as far as I can see, building the files correctly.  I also double checked the domain name to make sure I was point to the new server which it is.
59
Bug Reports / Re: Php7.4 compatibality
Last post by ElkArte-Is-Awesome -
The last time I read, I was convinced that ElkArte works on php8.0, at least with minimal bugs.
I am saddened to report that, unfortunately, you cannot install ElkArte using PHP 8.0.2. I attempted to test this out on my localhost. I can make it as far as entering my database name, username, and password. Upon hitting submit, I am directed to install.php?step=3 with a white page.